import os
import glob

import pygame
from pygame.locals import *

import screen

tile_w = 16
tile_h = 16

tilesets = []

def load_tilesets():
	for f in glob.glob(os.path.join('data', 'tileset*.png')):
		tilesets.append(Tileset(f))

class Tileset:
	
	def __init__(self, filename):
		self.surf = pygame.image.load(filename)
		self.h = self.surf.get_height() / tile_h
		self.w = self.surf.get_width() / tile_w
	
	def tile(self, num):
		return pygame.Rect((num % self.w * 16, num / self.w * 16), (tile_w, tile_h))
	
	def count(self):
		return self.h * self.w
	
	
	
	